import numpy as np
import matplotlib.pyplot as plt

E = 1.0   
r = 1.0   

R = np.linspace(0.001, 5, 500)

P = E**2 * R / (R + r)**2

plt.plot(R, P)
plt.xlabel("R")
plt.ylabel("P(R)")
plt.grid(True)

plt.savefig("2.png", dpi=300, bbox_inches="tight")
plt.show()

